<?php

/**
 * @package		Authorship Markup - Plugin for Joomla!
 * @author		DeConf - http://deconf.com
 * @copyright	Copyright (c) 2010 - 2012 DeConf.com
 * @license		GNU/GPL license: http://www.gnu.org/licenses/gpl-2.0.html
 */
 
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );

class plgSystemAuthorshipMarkup extends JPlugin {
 
 private $author_toreplace, $author_replacement;
 
 function plgSystemAuthorshipMarkup(&$subject, $params) { 
	parent::__construct($subject, $params); 
    
	$this->plugin = &JPluginHelper::getPlugin('system', 'authorshipmarkup');
    
	$this->params = new JParameter($this->plugin->params);
 }

 function onAfterDisplayContent( &$article, &$params ) {
	global $mainframe; 
	
	$app = JFactory::getApplication();
	
	if ($app->isAdmin() OR !((JRequest::getVar( 'view' ) == 'article' ) OR ( JRequest::getVar( 'view' ) == 'item' ))){
			return;
	}

	$db	= JFactory::getDBO();
	$query='SELECT * FROM #__contact_details WHERE user_id='. $article->created_by;
	$db->setQuery($query);
	$result=$db->loadObject();

	if (!isset($result)){
			return;		
	}	
	
	$author_link=$result->webpage;
	switch ($this->params->get('nameoption')){
	
		case '0' : $author_name=$article->author;
				   break;
		case '1' : $author_name=($article->created_by_alias) ? $article->created_by_alias : $article->author;
				   break;	
		default : $author_name=$result->name;
				   break;
	}
	$temp0=($article->created_by_alias) ? $article->created_by_alias : $article->author;
	$temp1=JText::_( 'WRITTEN BY' )." ".$temp0;
	$temp2=JText::_( 'WRITTEN BY' )." <a href=\"$author_link?rel=author\">".$author_name."</a>";
	$this->author_toreplace=str_replace(" %s","",$temp1);
	$this->author_replacement=str_replace(" %s","",$temp2);
 }
 
 function onAfterRender(){

		$app = JFactory::getApplication();
		
		$user = JFactory::getUser();		
		
		if ( $app->isAdmin() OR (!isset($this->author_toreplace))  OR (!isset($this->author_replacement))){
			return;
		}
		
		$buffer = JResponse::getBody();
		
		$buffer=str_replace($this->author_toreplace,$this->author_replacement,$buffer);

		JResponse::setBody($buffer);
	
	return;
 
 }
 
}
